TOWLOWER(3)

NAME
towlower, towlower_l, towupper towupper_l - wide-character case letter conversion utilities

SYNOPSIS
#include <wctype.h>
wint_t
towlower(wint_t wc);
wint_t
towlower_l(wint_t wc, locale_t l);
wint_t
towupper(wint_t wc);
wint_t
towupper_l(wint_t wc, locale_t l);

DESCRIPTION
The towlower() and towlower_l() functions convert an upper-case wide character to the corresponding lower-case letter. The towupper() and towupper_l() functions convert an lower-case wide character to the corresponding upper-case letter.

RETURN VALUES
If the argument is an upper/lower-case letter, the tolower() function returns the corresponding counterpart if there is one; otherwise the argument is returned unchanged.

The behavior of the functions towupper() and towlower() is affected by the LC_CTYPE category of the current locale, while the behavior of the functions towupper_l() and towlower_l() is affected by the LC_CTYPE category of the locale provided as parameter, see xlocale(3).

SEE ALSO
tolower(3), toupper(3) xlocale(3)

STANDARDS
The functions conform to POSIX 2008, isoC-amd1 and isoC-99.